## borgbackup2 2.0.0b5

=== debian/changelog ===
borgbackup2 (2.0.0b5-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Prominently explain that we package a beta release
  * New upstream version 2.0.0b5
    + Drop patches fixdocs.patch and bash-completion-update.patch
    + Rebase patches
    + Require python3-platformdirs (>= 2.6)

  [ Vagrant Cascadian ]
  * Make the build reproducible (Closes: #1029807)

  [ Helmut Grohne ]
  * Only run some of the tests under fakeroot to avoid flakiness

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 01 Mar 2023 12:24:53 +0100

borgbackup2 (2.0.0b4-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve package documentation. Reported by Enrico Zini.

  [ Enrico Zini ]
  * Fixed unintentional glitch in README.source
  * Added comments to document the intentions of debian/rules snippets

  [ Helmut Grohne ]
  * Actually export TZ for the test target. Thanks to Enrico Zini.
  * Upload to unstable.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 20 Jan 2023 11:02:46 +0100

borgbackup2 (2.0.0b4-2) experimental; urgency=medium

  * Recheck copyright of non-updated files. Thanks to Thorsten Alteholz.
  * Update bash completion for borg 2.x
  * Add borgbackup-is-borgbackup2 package. Thanks to Scott Kitterman.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 18 Jan 2023 13:12:47 +0100

borgbackup2 (2.0.0b4-1) experimental; urgency=medium

  * New upstream version 2.0.0b4 (Closes: #1028467)
  * gbp: change debian branch to debian/unstable
  * Change source package name to allow coinstallability with old version
  * add default salsa-ci.yml
  * Rename binary packages to add version suffix
  * Declaratively enable debhelper addons
  * Rebase second privacy patch
  * Update Vcs location
  * Stop forcing a SPHINXBUILD
  * Install the borg module on a non-standard path
  * Update Build-Depends for borg 2.x
  * Update Maintainer and Uploaders
  * Drop override_dh_clean
  * Rebuild documentation from source
  * Drop commented out code about vendored msgpack
  * Update copyright file
  * Update autopkgtests
  * Update debian/clean
  * Another patch for lintian's privacy tag
  * Avoid referencing an external mathjax
  * Fix documentation referencing a deleted command
  * Rename binaries adding a version suffix
  * Force timezone during test suite
  * Skip unnecessary rebuild for testsuite
  * Rewrite debian/README.Debian and delete obsolete debian/NEWS

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 16 Jan 2023 09:32:00 +0100

borgbackup (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Dec 2022 10:17:45 +0100

borgbackup (1.2.2-2) unstable; urgency=medium

  * Add python3-pytest-benchmark to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Sep 2022 16:31:41 +0200

borgbackup (1.2.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch to generate fixed _version.py file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Sep 2022 09:50:41 +0200

borgbackup (1.2.1-2) unstable; urgency=medium

  * Add patch to make sure we always correctly regenerate
    _version.py file (Closes: #1015052)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jul 2022 19:03:13 +0200

borgbackup (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jun 2022 20:17:00 +0200

borgbackup (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches now upstream:
    - 33519263ac3532d909863f4864fef23aa6f6b381,
    - 5937
    - system-msgpack (this one was commented but its now not needed anymore)
  * Refresh patches
  * Bump compat level to 13
  * Bump std-version to 4.6.0, no changes required
  * Add new dateutil dependency needed for tests
  * Add msgpack and pkgconfig python modules, needed for build
  * Drop version constraints, now already satisfied since o-o-stable
  * Add new python3-pyfuse3 dependency, meant to deprecate llfuse
  * Update copyright years
  * Add new runtime suggestion of pyfuse3
  * Skip another test needing fuse
  * Update copyright file for new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Feb 2022 22:45:33 +0100

borgbackup (1.1.17-2) unstable; urgency=medium

  * debian/patches/5937.patch
    - cherry-pick upstream change to use system/bundled xxhash
      based on detection method.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jan 2022 14:17:07 +0100

borgbackup (1.1.17-1) unstable; urgency=medium

  * New upstream release
  * Move to python3-packaging
  * debian/patches/33519263ac3532d909863f4864fef23aa6f6b381.patch:
    - cherry-pick upstream change to get rid of distutils.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jul 2021 12:27:31 +0200

borgbackup (1.1.16-3) unstable; urgency=medium

  * Demote fuse and python3-llfuse to Recommends, to avoid them
    being installed on systems where borg mount is not needed
    (Closes: #989271).
    Thanks Helmut Grohne for the patch and the report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 May 2021 11:08:15 +0200

borgbackup (1.1.16-2) unstable; urgency=medium

  * Add fonts-liberation runtime dependency on -doc package to
    fix broken symlink.
    - Thanks Andreas Beckmann <anbe@debian.org> for the bug
      report and the fix! (Closes: #988679)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 May 2021 12:32:53 +0200

borgbackup (1.1.16-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release

  [ Andrej Shadura ]
  * Commit patch from Helmut

  [ Helmut Grohne ]
  * Annotate test dependencies <!nocheck> (Closes: #982818).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Mar 2021 17:51:49 +0200

borgbackup (1.1.15-3) unstable; urgency=medium

  * Tighteen xxhash dependency to make sure a recent enough
    version is found and used for build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2021 09:31:35 +0100

