## borgbackup2 2.0.0b7

=== debian/changelog ===
borgbackup2 (2.0.0b7-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:01:05 +0000

borgbackup2 (2.0.0b7-2) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Cherry-pick upstream changes:
  * 4b1dac78f57fc4f8f2bfef0a378d0aca29ce6862.patch
    - pyproject.toml: exclude source files which have been compiled
  * cdcab4df6851b5d3da6ac5435bcaeb8aa1d632b5.patch
    - allow msgpack 1.0.7
  * 0e7b87c1ba97621eb6abecee53d7ce90cf54412e.patch
    - allow platformdirs 4
  * 5ca4703a47cb270e6f08f91c98b3e71ce1c2ce49.patch
    - use and require cython3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jan 2024 09:43:19 +0100

borgbackup2 (2.0.0b7-1) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 2.0.0b7
  * Refresh patches
  * Drop upstream patches:
    - lower_platformdirs.patch
    - 0001-Make-timestamps-in-manual-pages-reproducible.patch
    - 223d189ff7c6d684eb147b404fe2f84ed6742cbd.patch
  * Cherry-pick upstream pr 8021.patch
  * Add two missing files to fix testsuite
  * Exclude two new tests, calling borg binary directly

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jan 2024 11:05:55 +0100

borgbackup2 (2.0.0b5-3) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Add new files to clean target (Closes: #1043956)
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 18:01:46 +0100

borgbackup2 (2.0.0b5-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload (salsa.d.o/debian namespace)
  * Make pyfuse3 a suggested only package
  * Add patch to allow platformdirs up to version 5 (Closes: #1057197)
  * Refresh patches
  * Update upstream signing key from 1k to 4k
  * Bump copyright years
  * Bump std-version
  * Merge changes from borgbackup 1.2.4-3

  [ Simon Chopin ]
  * d/p/manifest-data-files: fix FTBFS due to missing data files
    (Closes: 1052875, #2039423)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 17:11:02 +0100

borgbackup (1.2.7-2) unstable; urgency=medium

  * Make pyfuse3 a suggested only package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Dec 2023 18:03:27 +0100

borgbackup (1.2.7-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch 0001*

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:46:03 +0100

borgbackup (1.2.6-2) unstable; urgency=medium

  * Rename NEWS file
  * Add back 7793.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2023 14:37:27 +0200

borgbackup (1.2.6-1) unstable; urgency=medium

  * New upstream release
    - fix for 1.2.5 regression
  * Drop patch 7793, use right tarball instead

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 23:46:14 +0200

borgbackup (1.2.5-4) unstable; urgency=medium

  * Revert "Add fuse3 dependency"
  * Reupload with also paperkey.html file to fix testsuite
  * Drop old NEWS file
  * Mention in NEWS.Debian compact (Closes: #1021840)
  * Mention in NEWS.Debian CVE-2023-36811 (Closes: #1050880)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 09:16:19 +0200

borgbackup (1.2.5-3) unstable; urgency=medium

  * debian/patches/7793.patch:
    - test build to add attic.tar.gz to pybuild directory

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 08:09:43 +0200

borgbackup (1.2.5-2) unstable; urgency=medium

  * Minimize signing key via gpg --armor --export --export-options
    export-minimal,export-clean
  * Add fuse3 dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2023 19:14:26 +0200

borgbackup (1.2.5-1) unstable; urgency=high

  * New upstream release
    - Fix for CVE-2023-36811

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2023 17:33:11 +0200

borgbackup (1.2.4-3) unstable; urgency=medium

  * Add back fuse3 recommendation to unbreak docker images.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Aug 2023 18:50:50 +0200

borgbackup (1.2.4-2) unstable; urgency=medium

  * Drop old llfuse support, now pyfuse3 is used
    instead (suggested on irc)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Aug 2023 10:59:23 +0200

borgbackup (1.2.4-1) unstable; urgency=medium

  * Update upstream signing key from 1k to 4k
  * New upstream release
  * Update copyright years
  * Bump std-version to 4.6.2, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Mar 2023 15:45:19 +0100
