=== debian/control ===
--- 
+++ 
@@ -19,20 +19,18 @@
                python3-argon2,
                python3-packaging,
                python3-guzzle-sphinx-theme,
-               python3-llfuse (>= 1.3.8) [!hurd-any],
-               python3-llfuse (<< 2.0) [!hurd-any],
                python3-dateutil <!nocheck>,
                python3-msgpack (>= 1.0.3),
                python3-pkgconfig,
                python3-platformdirs (>= 2.6),
-               python3-pyfuse3 [!hurd-any],
+#               python3-pyfuse3 [!hurd-any],
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://borgbackup.github.io/borgbackup/
 Vcs-Git: https://salsa.debian.org/debian/borgbackup2.git
@@ -44,10 +42,8 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-llfuse (<< 2.0) [!hurd-any],
-            python3-pyfuse3 [!hurd-any],
-            fuse
-Suggests: borgbackup2-doc
+Recommends: fuse3
+Suggests: python3-pyfuse3 [!hurd-any], borgbackup2-doc
 Description: deduplicating and compressing backup program (version 2.x)
  Borg is a deduplicating and compressing backup program. Optionally, it
  also supports authenticated encryption. It was forked from the attic
