## borgbackup2 2.0.0b8

=== debian/changelog ===
borgbackup2 (2.0.0b8-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:34:48 +1100

borgbackup2 (2.0.0b8-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:28:59 +0000

borgbackup2 (2.0.0b8-2) unstable; urgency=medium

  * Update build_usage and build_man make.py code location

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 11:42:24 +0100

borgbackup2 (2.0.0b8-1) unstable; urgency=medium

  * New upstream version 2.0.0b8
  * Refresh patch 0001-Remove-codecov.io-and-travis-ci.org-badges.patch
  * Drop patches part of upstream codebase:
    - 0e7b87c1ba97621eb6abecee53d7ce90cf54412e.patch
    - 4b1dac78f57fc4f8f2bfef0a378d0aca29ce6862.patch
    - 5ca4703a47cb270e6f08f91c98b3e71ce1c2ce49.patch
    - cdcab4df6851b5d3da6ac5435bcaeb8aa1d632b5.patch
    - 8021.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 09:47:27 +0100
