=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: borgbackup2
 Section: admin
 Priority: optional
-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
 Uploaders: Helmut Grohne <helmut@subdivi.de>
 Build-Depends: cython3,
                debhelper-compat (= 13),
