=== debian/rules ===
--- 
+++ 
@@ -38,8 +38,8 @@
 	dh_auto_configure -- --install-dir=$(MODULE_DIR)
 
 execute_after_dh_auto_build:
-	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 setup.py build_usage
-	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 setup.py build_man
+	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 scripts/make.py build_usage
+	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 scripts/make.py build_man
 
 execute_before_dh_installdocs-indep:
 	$(MAKE) -C docs html
