## borgbackup2 2.0.0b9

=== debian/changelog ===
borgbackup2 (2.0.0b9-2) unstable; urgency=medium

  * Revert "Require msgpack 1.1.0"
    - this is the high version allowed, not the lower version.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 15:05:26 +0200

borgbackup2 (2.0.0b9-1) unstable; urgency=medium

  * Update signing-key
  * Update changelog file
  * Merge with borgbackup 1.4.0-1
  * New upstream version 2.0.0b9
  * Require msgpack 1.1.0
  * Bump std-version to 4.7.0
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 09:05:09 +0200

borgbackup (1.4.0-1) unstable; urgency=medium

  * Bump copyright years
  * Drop copyright entries for removed files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jul 2024 00:17:05 +0200

borgbackup (1.2.8-1) unstable; urgency=medium

  * New upstream release 1.2.8
  * Update copyright years
  * Update upstream signing key

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Apr 2024 15:51:34 +0200
