=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: borgbackup2
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
+Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
 Uploaders: Helmut Grohne <helmut@subdivi.de>
 Build-Depends: cython3,
                debhelper-compat (= 13),
@@ -31,7 +30,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://borgbackup.github.io/borgbackup/
 Vcs-Git: https://salsa.debian.org/debian/borgbackup2.git
