## borgbackup2 2.0.0b12

=== debian/changelog ===
borgbackup2 (2.0.0b12-7) unstable; urgency=medium

  * Merge changes from borgbackup 1.4.0-3
    - Drop llfuse support, use pyfuse3 instead as default backend

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 16:05:29 +0200

borgbackup2 (2.0.0b12-6) unstable; urgency=medium

  * Team upload
  * Don't duplicate recommends in autopkgtests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 13:04:03 +0200

borgbackup2 (2.0.0b12-5) unstable; urgency=medium

  * Fixup llfuse dependency, require at runtime both pyfuse3 and
    llfuse, not sure which one is the better,
    but borgbackup2 works with both. (LP: #2050515)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 12:57:40 +0200

borgbackup2 (2.0.0b12-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * switch also autopkgtests to fuse3
  * Fix previous upload, my git commit failed to commit the two
    chunks

  [ Colin Watson ]
  * Fix another chunk of simplesession test

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 09:22:15 +0200

borgbackup2 (2.0.0b12-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * cleanup mounts in case of test failure

  [ Colin Watson ]
  * Fixup test failure on fuse simplesession due to wrong
    path on compare/test commands (Closes: #1068563)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Oct 2024 16:34:24 +0200

borgbackup2 (2.0.0b12-2) unstable; urgency=medium

  * Add some more clean targets
  * Allow stderr messages on testsuite, upstream said borg logging
    defaults to stderr
  * Fixup a fuse test failure due to wrong syntax

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Oct 2024 13:30:39 +0200

borgbackup2 (2.0.0b12-1) unstable; urgency=medium

  * New upstream version 2.0.0b12
  * Update clean file
  * Allow stderr for autopkgtest, one print is done there
    (uptream informed)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Oct 2024 12:02:46 +0200

borgbackup2 (2.0.0b11-3) unstable; urgency=medium

  * Merge entry for borgbackup 1.4.0-2
    - Drop pkg_resources runtime dependency (Closes: #1083319)
  * Update testsuite for deprecated rcreate/rlist commands

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 10:51:32 +0200

borgbackup2 (2.0.0b11-2) unstable; urgency=medium

  * Add borgstore new dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 12:37:01 +0200

borgbackup2 (2.0.0b11-1) unstable; urgency=medium

  * New upstream version 2.0.0b11

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 10:45:19 +0200

borgbackup (1.4.0-3) unstable; urgency=medium

  * Bump std-version to 4.7.0
  * Drop llfuse support
  * Enable again pyfuse3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 16:03:51 +0200

borgbackup (1.4.0-2) unstable; urgency=medium

  * Drop pkg_resources, importlib is already used instead (Closes: #1083318)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 10:46:32 +0200
