=== debian/control ===
--- 
+++ 
@@ -17,13 +17,15 @@
                libzstd-dev,
                python3-dev,
                python3-argon2,
+               python3-borgstore,
                python3-packaging,
                python3-guzzle-sphinx-theme,
                python3-dateutil <!nocheck>,
+               python3-llfuse [!hurd-any],
                python3-msgpack (>= 1.0.3),
                python3-pkgconfig,
                python3-platformdirs (>= 2.6),
-#               python3-pyfuse3 [!hurd-any],
+               python3-pyfuse3 [!hurd-any],
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-cov <!nocheck>,
@@ -38,12 +40,11 @@
 
 Package: borgbackup2
 Architecture: any
-Depends: python3-pkg-resources,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: fuse3
-Suggests: python3-pyfuse3 [!hurd-any], borgbackup2-doc
+Recommends: fuse3, python3-pyfuse3 [!hurd-any]
+Suggests: borgbackup2-doc
 Description: deduplicating and compressing backup program (version 2.x)
  Borg is a deduplicating and compressing backup program. Optionally, it
  also supports authenticated encryption. It was forked from the attic
