## borgbackup2 2.0.0b13

=== debian/changelog ===
borgbackup2 (2.0.0b13-2) unstable; urgency=medium

  * Fixup test files renaming

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Nov 2024 09:01:16 +0100

borgbackup2 (2.0.0b13-1) unstable; urgency=medium

  * New upstream version 2.0.0b13
  * Add new borghash dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Nov 2024 23:26:23 +0100
