=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                libzstd-dev,
                python3-dev,
                python3-argon2,
+               python3-borghash,
                python3-borgstore,
                python3-packaging,
                python3-guzzle-sphinx-theme,
