## borgbackup2 2.0.0b14

=== debian/changelog ===
borgbackup2 (2.0.0b14-3build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:55:10 +0100

borgbackup2 (2.0.0b14-3) unstable; urgency=medium

  * Explictly runtime depend on borghash 0.1.0 due to non-retrocompatible
    change.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Nov 2024 07:33:38 +0100

borgbackup2 (2.0.0b14-2) unstable; urgency=medium

  * debian/patches/0323c2f987a646c2c8595f48e4f0394f27fd369c.patch:
    - cherry-pick upstream change for borghash 0.1.0-1 compatiblity

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Nov 2024 09:37:48 +0100

borgbackup2 (2.0.0b14-1) unstable; urgency=medium

  * New upstream version 2.0.0b14
  * Add a file to clean

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Nov 2024 12:26:29 +0100
