=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libzstd-dev,
                python3-dev,
                python3-argon2,
-               python3-borghash,
+               python3-borghash (>= 0.1.0-1),
                python3-borgstore,
                python3-packaging,
                python3-guzzle-sphinx-theme,
@@ -43,6 +43,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-borghash (>= 0.1.0-1),
          ${shlibs:Depends}
 Recommends: fuse3, python3-pyfuse3 [!hurd-any]
 Suggests: borgbackup2-doc
