## borgbackup2 2.0.0b17

=== debian/changelog ===
borgbackup2 (2.0.0b17-3) unstable; urgency=medium

  * Revert "Disable shell_completions_test.py, new and useless for now"
  * Add patch to fix testsuite

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 May 2025 19:26:26 +0200

borgbackup2 (2.0.0b17-2) unstable; urgency=medium

  * Drop file removed upstream in clean target
  * Disable shell_completions_test.py, new and useless for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 May 2025 18:24:01 +0200

borgbackup2 (2.0.0b17-1) unstable; urgency=medium

  * Merge with 1.4.1-2
  * Allow backports for borghash and borgstore
  * Bump std-version to 4.7.2, no changes needed
  * Bump borgstore requirement
  * Also runtime-depend on correct borgstore
  * New upstream version 2.0.0b17
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 May 2025 10:33:36 +0200

borgbackup2 (2.0.0b16-1) unstable; urgency=medium

  * New upstream version 2.0.0b16

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 15:15:43 +0200

borgbackup2 (2.0.0b15-1) unstable; urgency=medium

  * New upstream version 2.0.0b15
  * Add new python3-sphinxcontrib.jquery dependency
  * Update borgstore build-dependency
  * Update copyright years
  * Refresh mathjax.patch
  * drop 0323c2f987a646c2c8595f48e4f0394f27fd369c.patch and
    35d7bb316cae277b97c247c91662caf1d7d5a006.patch: upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 May 2025 21:30:49 +0200

borgbackup2 (2.0.0b14-4) unstable; urgency=medium

  * Add upstream patch to adapt for new borgstore 0.2.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Apr 2025 09:14:25 +0200

borgbackup (1.4.1-2) unstable; urgency=medium

   * Add fix from borgbackup2
   * Add new python3-sphinxcontrib.jquery dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 16:45:55 +0200

borgbackup (1.4.1-1) unstable; urgency=medium

  * New upstream release 1.4.1
  * Bump compyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 15:24:09 +0200

borgbackup (1.4.0-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add fixes for fakeroot tests from borgbackup2 (Closes: #1100201)

  [ Helmut Grohne ]
  * Force timezone during test suite
  * Skip unnecessary rebuild for testsuite
  * Actually export TZ for the test target. Thanks to Enrico Zini.
  * Only run some of the tests under fakeroot

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Mar 2025 12:34:44 +0100

borgbackup (1.4.0-4) unstable; urgency=medium

  * Fixup clean file (Closes: #1043841)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Oct 2024 07:53:32 +0200
