## borgbackup2 2.0.0b18

=== debian/changelog ===
borgbackup2 (2.0.0b18-1) unstable; urgency=medium

  * New upstream version 2.0.0b18
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Jun 2025 10:34:09 +0200
