=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
                libzstd-dev,
                python3-dev,
                python3-argon2,
-               python3-borghash (>= 0.1.0-1),
-               python3-borgstore,
+               python3-borghash (>= 0.1.0-1~),
+               python3-borgstore (>= 0.3.0-1~),
                python3-packaging,
                python3-guzzle-sphinx-theme,
+               python3-sphinxcontrib.jquery,
                python3-dateutil <!nocheck>,
                python3-llfuse [!hurd-any],
                python3-msgpack (>= 1.0.3),
@@ -33,7 +34,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://borgbackup.github.io/borgbackup/
 Vcs-Git: https://salsa.debian.org/debian/borgbackup2.git
@@ -43,7 +44,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-borghash (>= 0.1.0-1),
+         python3-borghash (>= 0.1.0-1~),
+         python3-borgstore (>= 0.3.0-1~),
          ${shlibs:Depends}
 Recommends: fuse3, python3-pyfuse3 [!hurd-any]
 Suggests: borgbackup2-doc
