## borgbackup2 2.0.0b19

=== debian/changelog ===
borgbackup2 (2.0.0b19-1) unstable; urgency=medium

  * New upstream version 2.0.0b19
    - fixes a corruption bug: https://github.com/borgbackup/borg/issues/8963

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Aug 2025 18:11:35 +0200

borgbackup2 (2.0.0b18-3) unstable; urgency=medium

  [ Simon Chopin ]
  * fix running unit tests in autopkgtests (Closes: #1110195, LP: #2118916)

  [ Gianfranco Costamagna ]
  * Team upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Aug 2025 13:58:15 +0200

borgbackup2 (2.0.0b18-2) unstable; urgency=medium

  * Merge borgbackup 1.4.1-4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Jul 2025 12:45:37 +0200

borgbackup (1.4.1-4) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Split the unit autopkgtest into a fuse one and one without.

  [ Helmut Grohne and Nicholas D Steeves]
  * Symlink debian/tests/unit-nofuse -> unit.  This autopkgtest leverages
    upstream's support to conditionally skip tests when dependencies are
    missing.  Compare the delta between unit and unit-nofuse's Depends to
    learn what may be required to create -nofuse autopkgtest variants for
    other packages.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 08 Jul 2025 19:21:34 -0400

borgbackup (1.4.1-3) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * Update debian/NEWS: Upstream introduced less alarming and easier to
    follow migration instructions in 1.2.8, and this is their officially
    supported procedure.
  * Git shortlog of Debian-facing upstream changes between upstream's 1.4.0 and
    1.4.1, (for trixie unblock):

    ecf2dfa17 build_usage / build_man [docs]
    1bed2155d update CHANGES
    3880c7e12 implement padme chunk size obfuscation (SPEC 250), fixes #8705
    49fa6c476 update CHANGES
    aba21ee18 freebsd: fix nfs4 acl processing, fixes #8756
    dddb6b155 fix remote repository exception handling / exit codes, fixes #8631
    0b6150c74 Fix paper key import error message
    11ac0cdc6 docs: theme fixes
    46c44b9d9 docs: fix template to support search result preview
    ecd797611 docs: add layout.html template from guzzle_sphinx_theme 0.7.11
    31784547b work around sudden failure of sphinx ini lexer
    8b1840640 Clearer language
    a21f08ac6 update CHANGES
    8ffd26300 set archive timestamps in local timezone
    3a932c587 Revert "Fix hourly prune test failure due to non-full-hour
              timezone"
    570c97eb1 run prune tests in specific full hour timezone
    7cf831609 quickfix to disallow running borg with assertions switched off
    8e6dc52a8 Fix #8522: Add {unixtime} placeholders (1.4-maint) (#8675)
    a1a028cef FAQ: Why are backups slow on a Linux server that is a member of a
              windows domain?
    fc0c799db docs: modify docs for automated backup to append to SYSTEMD_WANTS
              rather than overwrite
    5634e49fe docs: fix udev rule priority in automated-local.rst
    15ec434b5 docs: clarify requirements when using command line options with
              special characters within a shell #8628
    54e526cfc fix security policy: 1.4.x is security supported
    21c3b8688 it's 2025
    301aacecd docs: remove 3rd_party licenses
    cda01c7ba docs: add FAQ entry about pure-python msgpack warning, fixes #8323
    16e4b3087 binary readme: first check faq and existing issues
    d3b23b0e6 update CHANGES
    2dfb5d9a0 use Cython 3.0.11
    7d9028a22 mount docs: apply jdchristensen's suggestion, better phrasing.
    f0bd01b98 FAQ: Why is backing up an unmodified FAT filesystem slow on Linux?
    88ce37b73 update CHANGES
    a6dc8c52d check: more consistent messaging considering --repair, fixes #8533
    69151c7a1 support and test on Python 3.13
    4f794bbee config: reject additional_free_space < 10M, fixes #6066
    f0564036e yes: deal with UnicodeDecodeError in input(), fixes #6984
    09745d22f compact: support --dry-run (do nothing), fixes #8300
    e74c91285 config: fix acceptance of storage_quota 0, fixes #8499
    095b43ba3 docs: update install docs, nothing bundled anymore! fixes #8342.
    66e92636d Clarify  excluded and included flags for dry-run in borg the docs
    8fe9c5ed6 docs: Small changes regarding compression
    05837fbeb docs/FAQ: Clean up entries regarding SSH settings
    2230932c0 docs: borg/borgfs detects internally under which name it was
              invoked, fixes #8207
    cbbfc35db docs: mount: document on-demand loading, perf tips, fixes #7173
    cf472302d docs: better link modern return codes, fixes #8370
    272033121 Do not assert on diff if hard link sources are not found due to
              exclusions.
    2c1862007 fix WORKAROUNDS=authenticated_no_key support for archive TAM
              authentication, fixes #8400
    4f110f8bd Update repository URLs in docs to use new syntax Fixes #8361
    81cb1cdc5 Add quarterly pruning strategy. (#8337)
    938e144f8 Ensure that 0B changes are hidden from text diffs too.
    f7673e3f0 Add test to make sure 0-added,0-removed modified changes aren't in
              JSON output.
    6e9857b3e Remove 0-added,0-removed modified entries from JSON output.
    54c902474 docs: align /etc/backups path in all references
    adf2d8c04 remove outdated comment, fixes #4240
    85d7bdd75 improve borg check --repair healing tests, see #8302
    924952fcd Fix backwards compatibility of old chunks.archive.d file behavior
    f3c1444a4 Update docs for BORG_USE_CHUNKS_ARCHIVE
    0575f8758 Add BORG_USE_CHUNKS_ARCHIVE option
    0bd41ba65 Automatic rebuild cache on exception, fixes #5213 (#8257)
    b379202be docs: fix typo (backport #8272)

  [ Lee Garrett ]
  * Add myself to Uploaders.
  * Add missing end of sentence punctuation in the long description.
  * Update metadata (Vcs-Git/gbp.conf) to point to trixie branch.
  * Add unit tests to autopkgtests.

  [ Nicholas D Steeves ]
  * Additionally enable autopkgtest-pkg-python (see Debian Python Team for why

