=== debian/control ===
--- 
+++ 
@@ -39,6 +39,8 @@
 Homepage: https://borgbackup.github.io/borgbackup/
 Vcs-Git: https://salsa.debian.org/debian/borgbackup2.git
 Vcs-Browser: https://salsa.debian.org/debian/borgbackup2
+Testsuite: autopkgtest-pkg-python
+# functional unit tests have been configured in debian/tests/unit
 
 Package: borgbackup2
 Architecture: any
@@ -115,4 +117,4 @@
  possible to restrict the ssh key to "borg serve" using the
  authorized_keys command= clause.
  .
- This is the documentation package
+ This is the documentation package.
